Get device auth config
Returns the OIDC issuer, client ID, and scopes a CLI uses to sign in with the device flow. Needs no authentication; returns 404 unless authentication and device sign-in are enabled.
get
https://<host>/api/v1/auth/device-configbash
curl --request GET \
--url 'https://<host>/api/v1/auth/device-config'javascript
const response = await fetch("https://<host>/api/v1/auth/device-config", {
method: "GET"
});
const data = await response.json();typescript
interface AuthDeviceConfigResponse {
client_id?: string;
correlation_id?: string;
issuer_url?: string;
scopes?: string[];
}
const response = await fetch("https://<host>/api/v1/auth/device-config", {
method: "GET"
});
if (!response.ok) throw new Error(`${response.status} ${response.statusText}`);
const data: AuthDeviceConfigResponse = await response.json();python
import requests
response = requests.get(
"https://<host>/api/v1/auth/device-config",
)
response.raise_for_status()
print(response.json())go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest(http.MethodGet, "https://<host>/api/v1/auth/device-config", nil)
if err != nil {
panic(err)
}
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, err := io.ReadAll(res.Body)
if err != nil {
panic(err)
}
fmt.Println(res.Status, string(data))
}java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Example {
public static void main(String[] args) throws Exception {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://<host>/api/v1/auth/device-config"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.statusCode() + " " + response.body());
}
}csharp
using var client = new HttpClient();
using var request = new HttpRequestMessage(HttpMethod.Get, "https://<host>/api/v1/auth/device-config");
using var response = await client.SendAsync(request);
Console.WriteLine($"{(int)response.StatusCode} {await response.Content.ReadAsStringAsync()}");php
<?php
$ch = curl_init('https://<host>/api/v1/auth/device-config');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
]);
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
echo $status . " " . $response . PHP_EOL;ruby
require "net/http"
uri = URI("https://<host>/api/v1/auth/device-config")
request = Net::HTTP::Get.new(uri)
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
http.request(request)
end
puts "#{response.code} #{response.body}"rust
// Cargo.toml dependencies: reqwest, tokio (features "full")
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let response = reqwest::Client::new()
.get("https://<host>/api/v1/auth/device-config")
.send()
.await?;
println!("{} {}", response.status(), response.text().await?);
Ok(())
}Responses
200OK
application/json
client_idstringcorrelation_idstringissuer_urlstringscopesstring[]
Examplejson
{
"client_id": "string",
"correlation_id": "string",
"issuer_url": "string",
"scopes": [
"string"
]
}404Not Found
application/json
codestringcorrelation_idstringmessagestring
Examplejson
{
"code": "string",
"correlation_id": "string",
"message": "string"
}